# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"location_coordinate": "29.6821525,-82.4098881,100",
"age": [
"twenty_five_to_thirty_four",
"eighteen_to_twenty_four",
"unknown"
],
"bid": 1,
"daily_budget": 24,
"gender": [
"male"
],
"industry": [
"806303407",
"806301758"
],
"job_function": [
"806298607"
]
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"age": [
"twenty_five_to_thirty_four",
"eighteen_to_twenty_four",
"unknown"
],
"bid": 1,
"daily_budget": 24,
"gender": [
"male"
],
"industry": [
"806303407",
"806301758"
],
"job_function": [
"806298607"
],
"location_coordinate": "29.6821525,-82.4098881,100"
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post"
payload = [
{
"age": ["twenty_five_to_thirty_four", "eighteen_to_twenty_four", "unknown"],
"bid": 1,
"daily_budget": 24,
"gender": ["male"],
"industry": ["806303407", "806301758"],
"job_function": ["806298607"],
"location_coordinate": "29.6821525,-82.4098881,100"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
age: ['twenty_five_to_thirty_four', 'eighteen_to_twenty_four', 'unknown'],
bid: 1,
daily_budget: 24,
gender: ['male'],
industry: ['806303407', '806301758'],
job_function: ['806298607'],
location_coordinate: '29.6821525,-82.4098881,100'
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'age' => [
'twenty_five_to_thirty_four',
'eighteen_to_twenty_four',
'unknown'
],
'bid' => 1,
'daily_budget' => 24,
'gender' => [
'male'
],
'industry' => [
'806303407',
'806301758'
],
'job_function' => [
'806298607'
],
'location_coordinate' => '29.6821525,-82.4098881,100'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post"
payload := strings.NewReader("[\n {\n \"age\": [\n \"twenty_five_to_thirty_four\",\n \"eighteen_to_twenty_four\",\n \"unknown\"\n ],\n \"bid\": 1,\n \"daily_budget\": 24,\n \"gender\": [\n \"male\"\n ],\n \"industry\": [\n \"806303407\",\n \"806301758\"\n ],\n \"job_function\": [\n \"806298607\"\n ],\n \"location_coordinate\": \"29.6821525,-82.4098881,100\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"age\": [\n \"twenty_five_to_thirty_four\",\n \"eighteen_to_twenty_four\",\n \"unknown\"\n ],\n \"bid\": 1,\n \"daily_budget\": 24,\n \"gender\": [\n \"male\"\n ],\n \"industry\": [\n \"806303407\",\n \"806301758\"\n ],\n \"job_function\": [\n \"806298607\"\n ],\n \"location_coordinate\": \"29.6821525,-82.4098881,100\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"age\": [\n \"twenty_five_to_thirty_four\",\n \"eighteen_to_twenty_four\",\n \"unknown\"\n ],\n \"bid\": 1,\n \"daily_budget\": 24,\n \"gender\": [\n \"male\"\n ],\n \"industry\": [\n \"806303407\",\n \"806301758\"\n ],\n \"job_function\": [\n \"806298607\"\n ],\n \"location_coordinate\": \"29.6821525,-82.4098881,100\"\n }\n]"
response = http.request(request)
puts response.read_body{
"cost": 123,
"status_code": 123,
"status_message": "<string>",
"tasks_count": 123,
"tasks_error": 123,
"time": "<string>",
"version": "<string>",
"tasks": [
{
"cost": 123,
"data": {},
"id": "<string>",
"path": [
"<string>"
],
"result_count": 123,
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"result": {}
}
]
}Setting ‘Bing Ads Audience Estimation’ Tasks
Queues a Bing audience estimation, returning a task id.
# Fixed reference example. Playground inputs do not update this sample.
curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '[
{
"location_coordinate": "29.6821525,-82.4098881,100",
"age": [
"twenty_five_to_thirty_four",
"eighteen_to_twenty_four",
"unknown"
],
"bid": 1,
"daily_budget": 24,
"gender": [
"male"
],
"industry": [
"806303407",
"806301758"
],
"job_function": [
"806298607"
]
}
]'curl --request POST \
--url https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"age": [
"twenty_five_to_thirty_four",
"eighteen_to_twenty_four",
"unknown"
],
"bid": 1,
"daily_budget": 24,
"gender": [
"male"
],
"industry": [
"806303407",
"806301758"
],
"job_function": [
"806298607"
],
"location_coordinate": "29.6821525,-82.4098881,100"
}
]
'import requests
url = "https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post"
payload = [
{
"age": ["twenty_five_to_thirty_four", "eighteen_to_twenty_four", "unknown"],
"bid": 1,
"daily_budget": 24,
"gender": ["male"],
"industry": ["806303407", "806301758"],
"job_function": ["806298607"],
"location_coordinate": "29.6821525,-82.4098881,100"
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([
{
age: ['twenty_five_to_thirty_four', 'eighteen_to_twenty_four', 'unknown'],
bid: 1,
daily_budget: 24,
gender: ['male'],
industry: ['806303407', '806301758'],
job_function: ['806298607'],
location_coordinate: '29.6821525,-82.4098881,100'
}
])
};
fetch('https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
[
'age' => [
'twenty_five_to_thirty_four',
'eighteen_to_twenty_four',
'unknown'
],
'bid' => 1,
'daily_budget' => 24,
'gender' => [
'male'
],
'industry' => [
'806303407',
'806301758'
],
'job_function' => [
'806298607'
],
'location_coordinate' => '29.6821525,-82.4098881,100'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post"
payload := strings.NewReader("[\n {\n \"age\": [\n \"twenty_five_to_thirty_four\",\n \"eighteen_to_twenty_four\",\n \"unknown\"\n ],\n \"bid\": 1,\n \"daily_budget\": 24,\n \"gender\": [\n \"male\"\n ],\n \"industry\": [\n \"806303407\",\n \"806301758\"\n ],\n \"job_function\": [\n \"806298607\"\n ],\n \"location_coordinate\": \"29.6821525,-82.4098881,100\"\n }\n]")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("[\n {\n \"age\": [\n \"twenty_five_to_thirty_four\",\n \"eighteen_to_twenty_four\",\n \"unknown\"\n ],\n \"bid\": 1,\n \"daily_budget\": 24,\n \"gender\": [\n \"male\"\n ],\n \"industry\": [\n \"806303407\",\n \"806301758\"\n ],\n \"job_function\": [\n \"806298607\"\n ],\n \"location_coordinate\": \"29.6821525,-82.4098881,100\"\n }\n]")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "[\n {\n \"age\": [\n \"twenty_five_to_thirty_four\",\n \"eighteen_to_twenty_four\",\n \"unknown\"\n ],\n \"bid\": 1,\n \"daily_budget\": 24,\n \"gender\": [\n \"male\"\n ],\n \"industry\": [\n \"806303407\",\n \"806301758\"\n ],\n \"job_function\": [\n \"806298607\"\n ],\n \"location_coordinate\": \"29.6821525,-82.4098881,100\"\n }\n]"
response = http.request(request)
puts response.read_body{
"cost": 123,
"status_code": 123,
"status_message": "<string>",
"tasks_count": 123,
"tasks_error": 123,
"time": "<string>",
"version": "<string>",
"tasks": [
{
"cost": 123,
"data": {},
"id": "<string>",
"path": [
"<string>"
],
"result_count": 123,
"status_code": 123,
"status_message": "<string>",
"time": "<string>",
"result": {}
}
]
}id. Wrapped in DataForSEO’s envelope: data in tasks[0].result, outcome in tasks[0].status_code - a rejected request still returns HTTP 200. Retrieve with get_dataforseo_keywords_bing_audience_fetch.
Example
curl -X POST "https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[{"location_name": "...", "location_code": "...", "location_coordinate": "..."}]'
Request contract
- Method and path: POST /apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post
- Availability: enabled
- Request URL template: https://api.aisa.one/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post
- Runtime facts: 6ab8fec17df1d5dcdff2e036dd1eb40587752b774ec040ab4eb0cc6946c3dd3c
{
"operationId": "post_dataforseo_keywords_bing_audience_submit",
"method": "POST",
"path": "/apis/v1/dataforseo/keywords_data/bing/audience_estimation/task_post",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"content": {
"application/json": {
"schema": {
"example": [
{
"age": [
"twenty_five_to_thirty_four",
"eighteen_to_twenty_four",
"unknown"
],
"bid": 1,
"daily_budget": 24,
"gender": [
"male"
],
"industry": [
"806303407",
"806301758"
],
"job_function": [
"806298607"
],
"location_coordinate": "29.6821525,-82.4098881,100"
}
],
"items": {
"oneOf": [
{
"properties": {
"age": {
"description": "<em>selection of age ranges for targeting</em><br>possible values: <code>eighteen_to_twenty_four</code>, <code>fifty_to_sixty_four</code>, <code>sixty_five_and_above</code>, <code>thirteen_to_seventeen</code>, <code>thirty_five_to_forty_nine</code>, <code>twenty_five_to_thirty_four</code>, <code>unknown</code>, <code>zero_to_twelve</code>",
"items": {
"type": "string"
},
"type": [
"array",
"null"
]
},
"bid": {
"description": "<em>desired bid setting value in USD</em><br>maximum value: 1000",
"type": [
"number",
"null"
]
},
"daily_budget": {
"description": "<em>daily campaign budget value in USD</em><br>maximum value: 10000",
"type": [
"number",
"null"
]
},
"gender": {
"description": "<em>gender to target</em><br>possible values: <code>male</code>, <code>female</code>, <code>unknown</code>",
"items": {
"type": "string"
},
"type": [
"array",
"null"
]
},
"industry": {
"description": "<em>industry of LinkedIn profile targeting</em><p>if you use this field, you can receive the list of available industry names with industry_id by making a separate request to the https://api.dataforseo.com/v3/keywords_data/bing/audience_estimation/industries<p>example: <code>806301758</code>",
"items": {
"type": "string"
},
"type": [
"array",
"null"
]
},
"job_function": {
"description": "<em>job function of LinkedIn profile targeting</em><p>if you use this field, you can receive the list of available job function names with job_function_id by making a separate request to the https://api.dataforseo.com/v3/keywords_data/bing/audience_estimation/job_functions<p>example: <code>806300451</code>",
"items": {
"type": "string"
},
"type": [
"array",
"null"
]
},
"location_code": {
"description": "<em>search engine location code</em><br><strong>required field if you don't specify</strong> <code>location_name</code> or <code>location_coordinate</code><br><strong>if you use this field, you don't need to specify <code>location_name</code> or <code>location_coordinate</code></strong><br>you can receive the list of available locations of the search engines with their <code>location_code</code> by making a separate request to <code>https://api.dataforseo.com/v3/keywords_data/bing/locations</code><br>example:<br><code class=\"long-string\">2840</code>",
"type": "integer"
},
"location_coordinate": {
"description": "<em>GPS coordinates of a location</em><br><strong>required field if you don't specify</strong> <code>location_name</code> or <code>location_code</code><br><strong>if you use this field, you don't need to specify <code>location_name</code> or <code>location_code</code></strong><br><code>location_coordinate</code> parameter should be specified in the <em>\"latitude,longitude,radius (in km)\"</em> format<br><strong>the data will be provided for the country the specified coordinates belong to</strong><br>example:<br><code class=\"long-string\">29.6821525,-82.4098881,100</code>",
"type": "string"
},
"location_name": {
"description": "<em>full name of search engine location</em><br><strong>required field if you don't specify</strong> <code>location_code</code> or <code>location_coordinate</code><br><strong>if you use this field, you don't need to specify <code>location_code</code> or <code>location_coordinate</code></strong><br>you can receive the list of available locations of the search engine with their <code>location_name</code> by making a separate request to <code>https://api.dataforseo.com/v3/keywords_data/bing/locations</code><br>example:<br><code class=\"long-string\">London,England,United Kingdom</code>",
"type": "string"
}
},
"type": "object"
}
],
"type": [
"object",
"null"
]
},
"type": "array"
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_usd",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.09,
"estimate_source": "profile_seed",
"evidence_source": "response_body"
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
Cost and request rules
Usage-based billing; Default request estimate: $0.09 USD (not a fixed price). Account-specific pricing and final settlement may differ. Published reference values are not an account-specific quote or a settled charge. For endpoints supporting X-AISA-Cost-Mode: quote, obtain a free quote for your exact request before execution; reconcile the settled cost with response metadata and Usage Logs. USD amounts use 1,000,000 integer micro-USD per dollar.- Default request reference estimate (USD): 0.09
- Cost contract: response_usd
- Published reference multiplier: 1.0
- Settlement evidence source: response_body
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
selection of age ranges for targeting
possible values: eighteen_to_twenty_four, fifty_to_sixty_four, sixty_five_and_above, thirteen_to_seventeen, thirty_five_to_forty_nine, twenty_five_to_thirty_four, unknown, zero_to_twelve
desired bid setting value in USD
maximum value: 1000
daily campaign budget value in USD
maximum value: 10000
gender to target
possible values: male, female, unknown
industry of LinkedIn profile targeting
if you use this field, you can receive the list of available industry names with industry_id by making a separate request to the https://api.dataforseo.com/v3/keywords_data/bing/audience_estimation/industries
example: 806301758
job function of LinkedIn profile targeting
if you use this field, you can receive the list of available job function names with job_function_id by making a separate request to the https://api.dataforseo.com/v3/keywords_data/bing/audience_estimation/job_functions
example: 806300451
search engine location code
required field if you don't specify location_name or location_coordinate
if you use this field, you don't need to specify location_name or location_coordinate
you can receive the list of available locations of the search engines with their location_code by making a separate request to https://api.dataforseo.com/v3/keywords_data/bing/locations
example:2840
GPS coordinates of a location
required field if you don't specify location_name or location_code
if you use this field, you don't need to specify location_name or location_codelocation_coordinate parameter should be specified in the "latitude,longitude,radius (in km)" format
the data will be provided for the country the specified coordinates belong to
example:29.6821525,-82.4098881,100
full name of search engine location
required field if you don't specify location_code or location_coordinate
if you use this field, you don't need to specify location_code or location_coordinate
you can receive the list of available locations of the search engine with their location_name by making a separate request to https://api.dataforseo.com/v3/keywords_data/bing/locations
example:London,England,United Kingdom
[
{
"age": [
"twenty_five_to_thirty_four",
"eighteen_to_twenty_four",
"unknown"
],
"bid": 1,
"daily_budget": 24,
"gender": ["male"],
"industry": ["806303407", "806301758"],
"job_function": ["806298607"],
"location_coordinate": "29.6821525,-82.4098881,100"
}
]
Response
Successful operation
total tasks cost, USD
general status code you can find the full list of the response codes here
general informational message you can find the full list of general informational messages here
the number of tasks in the tasks array
the number of tasks in the tasks array returned with an error
total execution time, seconds
the current version of the API
array of tasks
Show child attributes
Show child attributes